# ec2 variables
variable "ami_id" {
  default = "free_tier_ami_id" # remember to check for free-tier ami id before runnning the script to avoid unwanted money
}
variable "instance_type" {
  default = "t2.micro" # creating instance under free tier
}
variable "zone_id" {
  default = "ap-south-1a"
}
variable "key_pair" {
  default = "ec2_keypair_filename"
}
variable "subnet_id" {
  default = "subnet_id"
}
variable "vpcid" {
  default = "vpc_id"
}
variable "instance_count" {
  default = 1
}
# volume variables
variable "ebs_volume_name" {
  default = "/dev/xvda"
}
variable "ebs_volume_size" {
  default = 8 # free tier configuration
}
variable "ebs_volume_type" {
  default = "gp2"
}
# iam variables
variable "cli_usr" {
  default = "your_aws_cli_usr_access_key"
}
variable "cli_usr_key" {
  default = "your_aws_cli_usr_secret_key"
}
# aws region
variable "region" {
  default = "ap-south-1"
}
